SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Security)  >   F-Secure Policy Manager Vendors:   F-Secure
F-Secure Policy Manager Input Validation Hole Permits Cross-Site Scripting Attacks
SecurityTracker Alert ID:  1025124
SecurityTracker URL:  http://securitytracker.com/id/1025124
CVE Reference:   CVE-2011-1102, CVE-2011-1103   (Links to External Site)
Updated:  Feb 28 2011
Original Entry Date:  Feb 24 2011
Impact:   Disclosure of authentication information, Disclosure of system information, Disclosure of user information, Execution of arbitrary code via network, Modification of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 7.x, 8.x, 9.x
Description:   A vulnerability was reported in F-Secure Policy Manager. A remote user can conduct cross-site scripting attacks. A remote user can determine the installation path.

The WebReporting module does not properly filter HTML code from user-supplied input before displaying the input. A remote user can cause arbitrary scripting code to be executed by the target user's browser. The code will originate from the site running the F-Secure Policy Manager software and will run in the security context of that site. As a result, the code will be able to access the target user's cookies (including authentication cookies), if any, associated with the site, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

A remote user can determine the installation path.

Sow Ching Shiong reported this vulnerability.

Impact:   A remote user can access the target user's cookies (including authentication cookies), if any, associated with the site running the F-Secure Policy Manager software, access data recently submitted by the target user via web form to the site, or take actions on the site acting as the target user.

A remote user can determine the installation path.

Solution:   The vendor has issued a fix.

F-Secure Policy Manager for Windows 8.00: ftp://ftp.f-secure.com/support/hotfix/fspm/fspm-8.00-windows-hotfix-2.zip

F-Secure Policy Manager for Windows 8.1x: ftp://ftp.f-secure.com/support/hotfix/fspm/fspm-8.1x-windows-hotfix-3.zip

F-Secure Policy Manager for Windows 9.00: ftp://ftp.f-secure.com/support/hotfix/fspm/fspm-9.00-windows-hotfix-4.zip

F-Secure Policy Manager for Linux 8.00: ftp://ftp.f-secure.com/support/hotfix/fspm-linux/fspm-8.00-linux-hotfix-2.zip

F-Secure Policy Manager for Linux 8.1x: ftp://ftp.f-secure.com/support/hotfix/fspm-linux/fspm-8.1x-linux-hotfix-2.zip

F-Secure Policy Manager for Linux 9.00: ftp://ftp.f-secure.com/support/hotfix/fspm-linux/fspm-9.00-linux-hotfix-2.zip

The vendor's advisory is available at:

http://www.f-secure.com/en_EMEA/support/security-advisory/fsc-2011-2.html

Vendor URL:  www.f-secure.com/en_EMEA/support/security-advisory/fsc-2011-2.html (Links to External Site)
Cause:   Access control error, Input validation error
Underlying OS:   Linux (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Date:  Thu, 24 Feb 2011 21:02:14 +0000
Subject:  F-Secure Policy Manager


http://www.f-secure.com/en_EMEA/support/security-advisory/fsc-2011-2.html


 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC